commit 0683cf3740e8971be752a8b6e8d67eac5903e9c6
Author: Antoine Beaupré <anarcat@koumbit.org>
Date:   Thu Nov 28 14:24:02 2013 -0500

    minimise changes with existing FreeBSD port

diff --git a/Makefile b/Makefile
index 205ae89..5c0513a 100755
--- a/Makefile
+++ b/Makefile
@@ -16,16 +16,6 @@ COMMENT=	Free implementation of the Border Gateway Protocol, Version 4
 
 CONFLICTS=	zebra-[0-9]* quagga-[0-9]*
 
-OPTIONS_DEFINE=	IPV6LLPEER
-OPTIONS_DEFAULT=IPV6LLPEER
-IPV6LLPEER_DESC=Support nexthop using IPv6 link-local address
-
-.include <bsd.port.pre.mk>
-
-.if ${OSVERSION} < 700000
-BROKEN=		does not build
-.endif
-
 WRKSRC=		${WRKDIR}
 MANCOMPRESSED=	yes
 USE_RC_SUBR=	${PORTNAME}
@@ -37,7 +27,13 @@ GROUPS=		_bgpd
 MAN5=		bgpd.conf.5
 MAN8=		bgpctl.8 bgpd.8
 
-.if !defined(WITHOUT_IPV6LLPEER)
+OPTIONS_DEFINE=	IPV6LLPEER
+OPTIONS_DEFAULT=IPV6LLPEER
+IPV6LLPEER_DESC=Support nexthop using IPv6 link-local address
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MIPV6LLPEER}
 MAKE_ARGS=	-DIPV6_LINKLOCAL_PEER
 .endif
 
@@ -47,7 +43,4 @@ post-patch:
 		${WRKSRC}/bgpd/bgpd.conf.5		\
 		${WRKSRC}/bgpctl/bgpctl.8
 
-post-install:
-	@${CAT} ${PKGMESSAGE}
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
